When Larry and I founded Google in 1998, many elements came together to make our work possible. Like other companies at the time, we benefited from the increasing power and low cost of computation and from the unprecedented shift of information to the Internet. We shared a profound belief in the power of technology to make life better for people everywhere and imagined what life could be like 10, 15, 20 years down the road. Nevertheless, now that we are here, I am amazed at the progress and opportunities. For example, I could not have imagined we would be making a computer that fits in a contact lens, with the potential to make life better for millions of people with diabetes.
Yet, this is something we are working on today. Our glucose-sensing contact lens is being developed in partnership with Novartis. A tiny chip, using power measured in nanowatts, is embedded into the lens in order to monitor glucose levels continuously. This technology, and others like it being developed today, was made possible through continued improvements in electronics and the ever-accelerating pace of technological progress. As computers get smaller, cheaper, and more powerful, their potential gets larger and the world is transformed.
Larry and I were lucky to participate in one such period of transformation nearly two decades ago: search engines made a leap from modest-sized ones that would search over limited, separate corpuses, to those we know today that attempt to search all the worlds knowledge. Just as advancements in miniaturization and power consumption have made the contact lens possible, it was similar progress in computing power and cost that allowed us to create comprehensive search, and make it accessible to anyone with an internet connection. It was the right time for search to become a universally available tool for bringing all the worlds information to your home, to your school, to your pocket.
These advances also made it possible to provide enterprise class email, featuring vast storage and search capabilities, to anyone in the world - for free; thats why we created Gmail. And, if you fast-forward to today, we recently harnessed continued improvements in storage cost and machine learning to create Google Photos, which lets everyone in the world safely keep, and search through, a lifetime of photos and videos.
The increasing power of computation extends well beyond the Internet. One example close to my heart is our self-driving car project. The goal is to make cars capable of driving themselves entirely without human intervention. We hope to make roadways far safer and transportation far more affordable and accessible to those who cant drive.
To do this, we can now rely on immense processing power and advanced sensors that would not have been possible only a few years ago. And while it will still take time before we see self-driving cars everywhere on our streets, over a million auto fatalities per year worldwide make this a risk worth taking. As I write, our cars have just crossed 1 million miles of autonomous driving, and our fully self-driving vehicle prototype is about to begin testing in our hometown.
This project and others like it are very challenging, and the outcomes are far from certain. But, just like when we started nearly two decades ago, it is possible to create the technology that allows people to lead healthier, happier lives. And, along with our incredibly passionate employees, I am humbled and excited to try.

